Bug 209936 - gaim cannot connect to talk.google.com
gaim cannot connect to talk.google.com
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-08 10:45 EDT by Scott Tsai
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 09:21:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
google talk account setting (1.18 KB, text/plain)
2006-10-08 10:45 EDT, Scott Tsai
no flags Details

  None (edit)
Description Scott Tsai 2006-10-08 10:45:28 EDT
Description of problem:
I can't login to my google talk account using gaim.

Version-Release number of selected component (if applicable):
gaim-2.0.0-0.15.beta3.fc6

How reproducible:
always

Steps to Reproduce:
1. start gaim
2. configure google talk account as shown in
http://www.google.com/support/talk/bin/answer.py?answer=24073
3. try to login
  
Actual results:
"Server does not use any supported authentication method"

Expected results:
login success.

Additional info:
running "gaim -d" I see:

proxy: Connecting to talk.google.com:5222 with no proxy
proxy: Connect would have blocked.
proxy: Connected.
jabber: Sending: <?xml version='1.0' ?>
jabber: Sending: <stream:stream to='gmail.com' xmlns='jabber:client'
xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
jabber: Recv (177): <?xml version="1.0" encoding="UTF-8"?><stream:stream
from="gmail.com" id="X26270AB91DF511CB" version="1.0"
xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client">
jabber: Recv (189): <stream:features><starttls
xmlns="urn:ietf:params:xml:ns:xmpp-tls"/><mechanisms
xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><mechanism>X-GOOGLE-TOKEN</mechanism></mechanisms></stream:features>
jabber: Sending: <starttls xmlns='urn:ietf:params:xml:ns:xmpp-tls'/>
jabber: Recv (50): <proceed xmlns="urn:ietf:params:xml:ns:xmpp-tls"/>
jabber: Sending (ssl): <stream:stream to='gmail.com' xmlns='jabber:client'
xmlns:stream='http://etherx.jabber.org/streams' version='1.0'>
jabber: Recv (ssl)(177): <?xml version="1.0" encoding="UTF-8"?><stream:stream
from="gmail.com" id="X790E32D1E6948D96" version="1.0"
xmlns:stream="http://etherx.jabber.org/streams" xmlns="jabber:client">
jabber: Recv (ssl)(166): <stream:features><mechanisms
xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><mechanism>PLAIN</mechanism><mechanism>X-GOOGLE-TOKEN</mechanism></mechanisms></stream:features>
sasl: Mechs found: PLAIN X-GOOGLE-TOKEN 
sasl: No worthy mechs found
account: Disconnecting account 0x5555559235b0
connection: Disconnecting connection 0x555555d495a0
jabber: Sending (ssl): </stream:stream>
connection: Destroying connection 0x555555d495a0

My uneducated guess is that we need to convince gaim to use the "SASL PLAIN"
authentication method.
Comment 1 Scott Tsai 2006-10-08 10:45:28 EDT
Created attachment 138002 [details]
google talk account setting
Comment 2 Eugene Kanter 2006-11-02 16:15:51 EST
Interesting but it works fine for me with exactly the same setup on freshly
installed FC6. The only difference is that I use http proxy.

<account>
 <protocol>prpl-jabber</protocol>
 <name>_myemail_@gmail.com/Gaim</name>
  <settings>
    <setting name='require_tls' type='bool'>0</setting>
    <setting name='use_tls' type='bool'>1</setting>
    <setting name='connect_server' type='string'>talk.google.com</setting>
    <setting name='old_ssl' type='bool'>0</setting>
    <setting name='auth_plain_in_clear' type='bool'>0</setting>
    <setting name='port' type='int'>5222</setting>
  </settings>
  <proxy>
    <type>http</type>
    <host>www-proxy._myisp_.com</host>
    <port>80</port>
 </proxy>
</account>
Comment 3 Stu Tomlinson 2006-11-02 16:31:09 EST
Try installing cyrus-sasl-plain (you may also want cyrus-sasl-md5 and/or other
mechanisms for other jabber servers)
Comment 4 Scott Tsai 2006-11-06 09:21:53 EST
After upgrading to fc6, I can now log into gtalk.
Thanks for the advice.

Note You need to log in before you can comment on or make changes to this bug.